#ifndef __CONFIG
#define __CONFIG

#include "main.h"

#include <qdialog.h>
#include <qcolor.h>
#include <qgroupbox.h>
#include <qcombobox.h>
#include <qradiobutton.h>
#include <qstringlist.h>

class Config : public QDialog
{
    Q_OBJECT

public:
	Config( QWidget* parent );
    void save();
	int mode() { return m_mode; }
	int language() { return m_lang; }
	QString trFile() { return m_trFile; }
	QColor color() { return m_color; }

protected slots:
	void setCodeMode( int num ) { m_mode = num; }
	void setTraduc( int num ) { m_trFile = m_tradList[num]; }
	void setLangAsm() { m_lang = 0; cppBtn->setChecked(false); }
	void setLangCpp() { m_lang = 1; asmBtn->setChecked(false); }
    void chooseColor();
    virtual void languageChange();

protected:
	int m_mode;
	int m_lang;
	QString m_trFile;
	QColor m_color;
	QStringList m_tradList;

	QGroupBox* appGrpBox;
    QComboBox* tradBox;
    QPushButton* colorBtn;

	QGroupBox* codeGrpBox;
    QRadioButton* asmBtn;
    QRadioButton* cppBtn;
    QComboBox* modeBox;

	QPushButton* okBtn;
    QPushButton* cancelBtn;
};


#endif
