#include <qapplication.h>
#include <qstring.h>
#include <qfileinfo.h>
#include <qsettings.h>
#include <math.h>

#include "handler.h"

#define NOIR		 0
#define BLANC		 1
#define GRIS		 2
#define TRANS		 3
#define GRIS_CLAIR   4
#define GRIS_FONCE   5

QColor Colors[6] = 
	{ QColor(0,0,0), QColor(255,255,255), QColor(128,128,128), 
		QColor(255,255,0), QColor(192,192,192),	QColor(64,64,64)  };
QString ProgramPath;

uchar ColorMode;

int main( int argc, char ** argv )
{
	QApplication a( argc, argv );

	QSettings settings;
	settings.setPath(SOCIETY_NAME,PROGRAM_NAME);

	// repertoire du programme
	ProgramPath = QFileInfo(argv[0]).dirPath(true) + "/";

	// traduction choisie
	QTranslator* pTranslator = new QTranslator;
	pTranslator->load( settings.readEntry("/Settings/trFile", "English" ), ProgramPath + "Languages/" );
	a.installTranslator( pTranslator );

	// fentre principale
	Handler hand( argc, argv, pTranslator );
	hand.show();

	return a.exec();
}


void swap(int &a, int &b) { int save=a; a=b; b=save; }

int Round(double a)
{
	int f = (int)floor(a);
	return f + (a-f >= 0.5 );
}

QRect makeRect(QPoint p1, QPoint p2)
{
	int x = ( p1.x()<p2.x() ? p1.x() : p2.x() );	// MIN(x)
	int y = ( p1.y()<p2.y() ? p1.y() : p2.y() );	// MIN(y)
	int w = p1.x()-p2.x(); if(w<0) w=-w; w++;		// largeur
	int h = p1.y()-p2.y(); if(h<0) h=-h; h++;		// hauteur

	return QRect(x,y,w,h);
}
